from konova.management.commands.kspMigrater.intervention_migrater import InterventionMigrater
from konova.management.commands.setup import BaseKonovaCommand


class Command(BaseKonovaCommand):
    help = "Migrates from KSP database to Konova"
    db_connection = None

    def add_arguments(self, parser):
        parser.add_argument('--host', type=str)
        parser.add_argument('--db-user', type=str)
        parser.add_argument('--db-pw',  type=str)

    def handle(self, *args, **options):
        try:
            intervention_migrater = InterventionMigrater(options)
            intervention_migrater.migrate()

        except KeyboardInterrupt:
            self._break_line()
            exit(-1)
